Name:           telepathy-qt
Version:        0.9.8
Release:        %mkrel 4
Summary:        Qt5 high-level bindings for Telepathy
License:        LGPLv2+
Group:          Networking/Instant messaging
Url:            https://telepathy.freedesktop.org/wiki/Telepathy-Qt5
Source0:        https://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
## upstream patches

## mga patches
Patch101:       telepathy-qt-fix-FindGIOUnix.patch

BuildRequires:  pkgconfig(telepathy-farstream) >= 0.6
BuildRequires:  pkgconfig(telepathy-glib)
BuildRequires:  pkgconfig(farstream-0.2)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  python3-dbus
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  libxml2-utils
BuildRequires:  qttools5-assistant

%description
Qt5 bindings for Telepathy.

#--------------------------------------------------------------------

%define libtelepathy_qt5_farstream_major 0
%define libtelepathy_qt5_farstream %mklibname telepathy-qt5-farstream %{libtelepathy_qt5_farstream_major}

%package -n     %libtelepathy_qt5_farstream
Summary:        Telepathy Qt Farstream runtime library
Group:          System/Libraries

%description -n %libtelepathy_qt5_farstream
Telepathy Qt Farstream runtime library.

%files -n %libtelepathy_qt5_farstream
%{_libdir}/libtelepathy-qt5-farstream.so.%{libtelepathy_qt5_farstream_major}{,.*}

#--------------------------------------------------------------------

%define libtelepathy_qt5_major 0
%define libtelepathy_qt5 %mklibname telepathy-qt5_ %{libtelepathy_qt5_major}

%package -n     %libtelepathy_qt5
Summary:        Telepathy Qt runtime library
Group:          System/Libraries

%description -n %libtelepathy_qt5
Telepathy Qt runtime library.

%files -n %libtelepathy_qt5
%{_libdir}/libtelepathy-qt5.so.%{libtelepathy_qt5_major}{,.*}

#--------------------------------------------------------------------

%define libtelepathy_qt5_service_major 1
%define libtelepathy_qt5_service %mklibname telepathy-qt5-service %{libtelepathy_qt5_service_major}

%package -n     %libtelepathy_qt5_service
Summary:        Telepathy Qt Service runtime library
Group:          System/Libraries

%description -n %libtelepathy_qt5_service
Telepathy Qt Service runtime library.

%files -n %libtelepathy_qt5_service
%{_libdir}/libtelepathy-qt5-service.so.%{libtelepathy_qt5_service_major}
%{_libdir}/libtelepathy-qt5-service.so.0.%{version}

#--------------------------------------------------------------------

%define develname %mklibname telepathy-qt -d

%package -n     %{develname}
Summary:        %{name} development files
Group:          Development/Other
Provides:       lib%{name}-devel = %{version}
Provides:       %name-devel = %{version}
Requires:       %libtelepathy_qt5 = %{version}
Requires:       %libtelepathy_qt5_farstream = %{version}
Requires:       %libtelepathy_qt5_service = %{version}
Requires:       pkgconfig(telepathy-farstream) >= 0.6

%description -n %{develname}
Telepathy Qt development files.

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/cmake/TelepathyQt5/
%{_libdir}/cmake/TelepathyQt5Farstream/
%{_libdir}/cmake/TelepathyQt5Service/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
    -DDISABLE_WERROR:BOOL=ON \
    -DENABLE_TESTS:BOOL=ON \
    -DENABLE_FARSTREAM:BOOL=ON
%cmake_build

%install
%cmake_install


%changelog
* Thu Jun 02 2022 wally <wally> 0.9.8-4.mga9
+ Revision: 1861110
- fix build with current glib2.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.9.8-2.mga8
+ Revision: 1659966
- Rebuild for new Qt5

* Tue Feb 18 2020 daviddavid <daviddavid> 0.9.8-1.mga8
+ Revision: 1541854
- new version: 0.9.8
- now service libmajor is now 1
- switch to python3
- remove merged upstream patches

* Sat Feb 15 2020 umeabot <umeabot> 0.9.7-5.mga8
+ Revision: 1525107
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 0.9.7-4.mga7
+ Revision: 1385050
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.7-3.mga7
+ Revision: 1301378
- Mageia 7 Mass Rebuild

* Tue Aug 30 2016 wally <wally> 0.9.7-2.mga6
+ Revision: 1049562
- add patch to fix build with -Wl,--no-undefined

* Tue Aug 30 2016 daviddavid <daviddavid> 0.9.7-1.mga6
+ Revision: 1049471
- new version: 0.9.7
- remove merged upstream patches
- add 4 new upstream patches
- add libtelepathy-qt5-service subpackage (now it is a shared lib)

* Sun May 29 2016 pterjan <pterjan> 0.9.6.1-2.mga6
+ Revision: 1019273
- Add upstream patch fixing build on arm

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.9.6.1-1.mga6
+ Revision: 917637
- 0.9.6.1

* Thu Oct 29 2015 daviddavid <daviddavid> 0.9.6-2.mga6
+ Revision: 896416
- add some upstream patches (fix build with new gst1.5+ in particular)

* Mon Jul 06 2015 neoclust <neoclust> 0.9.6-1.mga6
+ Revision: 851825
- New version 0.9.6

* Fri Feb 06 2015 lmenut <lmenut> 0.9.5-1.mga5
+ Revision: 813736
- update to 0.9.5 (GStreamer 1.0)

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-3.mga5
+ Revision: 740622
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-2.mga5
+ Revision: 689817
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 luigiwalser <luigiwalser> 0.9.4-1.mga5
+ Revision: 637975
- 0.9.4
- rediff patch 0
- remove upstreamed patch 1

* Tue Oct 22 2013 umeabot <umeabot> 0.9.3-6.mga4
+ Revision: 545956
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 fwang <fwang> 0.9.3-5.mga4
+ Revision: 502038
- bump rel
- fix build with newer cmake

* Mon Jul 01 2013 dams <dams> 0.9.3-4.mga4
+ Revision: 449384
- rebuild for old telepathy-farstream 0.4.x

* Mon Jan 14 2013 umeabot <umeabot> 0.9.3-3.mga3
+ Revision: 384320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.9.3-2.mga3
+ Revision: 333321
- force use lower version of telepathy-farstream

* Sat Jul 14 2012 neoclust <neoclust> 0.9.3-1.mga3
+ Revision: 270786
- New version 0.9.3
  Rediff link patch

* Mon Apr 16 2012 wally <wally> 0.9.1-1.mga2
+ Revision: 231080
- drop support for obsolete farsight
- add missing BR qt4-devel
+ mikala <mikala>
- Update tarball to 0.9.1
- Rediff patch1 to ensure linking for farstream/farsight/tests

* Wed Jan 25 2012 mikala <mikala> 0.9.0-1.mga2
+ Revision: 200718
- Update tarball to 0.9.0
- Update description & Summary
- Add missing buildrequires (qt4-assistant & libxml2-utils)
- Rediff patch0 to fix link
- Rename telepathy-qt4 to telepathy-qt

* Sun Nov 27 2011 mikala <mikala> 0.8.0-1.mga2
+ Revision: 173186
- Update tarball to 0.8.0
- remove %%defattr() & %%clean section
+ fwang <fwang>
- fix linkage
- fix linkage
- new version 0.7.2

* Thu Jun 23 2011 dmorgan <dmorgan> 0.7.1-1.mga2
+ Revision: 112838
- Fix buildrequires
- New version 0.7.1

* Tue Apr 19 2011 dmorgan <dmorgan> 0.5.14-3.mga1
+ Revision: 88805
- Add %%name-devel as provide

* Mon Apr 18 2011 ahmad <ahmad> 0.5.14-2.mga1
+ Revision: 87559
- Fix License
- Add BR python-dbus
- Add patch to fix linking (and drop building with _disable_ld_no_undefined)
- Libify the devel package

* Fri Apr 08 2011 dmorgan <dmorgan> 0.5.14-1.mga1
+ Revision: 82081
- Add cmake as buildrequires
- imported package telepathy-qt4

